using System.Numerics;

namespace Luski.Classes.Attribs.NumberSlider;

[AttributeUsage(AttributeTargets.Property)]
public class NumberDefault<TNumber> : Attribute where TNumber : INumber<TNumber>
{
    public NumberDefault(TNumber @default)
    {
        Default = @default;
    }
    
    public TNumber Default { get; init; }
}